import { Command, type Config } from '@oclif/core';
import ConfigManager from '../manager/config';
import FileManager from '../manager/file';
import NetworkManager from '../manager/network';
declare abstract class BaseCommand extends Command {
    protected configManager: ConfigManager;
    protected fileManager: FileManager;
    protected networkManager: NetworkManager;
    constructor(argv: string[], config: Config);
    protected catch(error: any): Promise<void>;
    protected list(label: string, content: string): void;
    protected showHelp(): Promise<void>;
    protected success(text: string): void;
}
export default BaseCommand;
