import { getPlatform } from "../platform/index.js";
import { getEnvConfig } from "./env.js";
import { getDetectResult } from "./utils.js";
export class AIGC {
  apiKey;
  platform;
  constructor(options) {
    const env = getEnvConfig();
    this.apiKey = env.apiKey || options.apiKey;
    this.platform = env.platform || options.platform;
  }
  async detect(content) {
    const platform = getPlatform(this.platform);
    const result = await platform.invoke(content, this.apiKey);
    return getDetectResult(result);
  }
}