import { type BaseLanguageModel } from '@langchain/core/language_models/base';
import { ChatPromptTemplate } from '@langchain/core/prompts';
declare abstract class Platform {
    protected temperature: number;
    protected getChatModel(apiKey?: string): BaseLanguageModel;
    protected getPrompt(): ChatPromptTemplate;
    invoke(content?: string, apiKey?: string): Promise<string>;
    protected abstract model: string;
    abstract name: string;
    protected abstract server: string;
}
export default Platform;
