import BaiChuan from "./baichuan.js";
import MiniMax from "./minimax.js";
import Moonshot from "./moonshot.js";
import OpenAI from "./openai.js";
import TongYi from "./tongyi.js";
import ZhiPu from "./zhipu.js";
export var Platform;
(function (Platform) {
  Platform["BaiChuan"] = "baichuan";
  Platform["MiniMax"] = "minimax";
  Platform["Moonshot"] = "moonshot";
  Platform["OpenAI"] = "openai";
  Platform["TongYi"] = "tongyi";
  Platform["ZhiPu"] = "zhipu";
})(Platform || (Platform = {}));
const platformMap = {
  [Platform.BaiChuan]: BaiChuan,
  [Platform.MiniMax]: MiniMax,
  [Platform.Moonshot]: Moonshot,
  [Platform.OpenAI]: OpenAI,
  [Platform.TongYi]: TongYi,
  [Platform.ZhiPu]: ZhiPu
};
export function getPlatform(platform) {
  return new platformMap[platform]();
}
export function getAvailablePlatforms() {
  return Object.keys(platformMap);
}